Loading...
Searching...
No Matches
tport_stack_class_t Struct Reference

Interface towards stack. More...

`#include <tport.h>`

Collaboration diagram for tport_stack_class_t:
[legend]

## Data Fields

void(* | tpac_recv )(tp_stack_t *, tport_t *, msg_t *msg, tp_magic_t *magic, su_time_t received)
| Function used to pass a received message to the protocol stack.
void(* | tpac_error )(tp_stack_t *, tport_t *, int errcode, char const *remote)
| Function used to indicate an error to the protocol stack.
msg_t *(* | tpac_alloc )(tp_stack_t *, int flags, char const [], usize_t, tport_t const *, tp_client_t *)
| Ask stack to allocate a message.
void(* | tpac_address )(tp_stack_t *, tport_t *)
| Indicate stack that address has changed.

## Detailed Description

Interface towards stack.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.